---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "forgejo_repository_push_mirror Resource - terraform-provider-forgejo"
subcategory: ""
description: |-
  Use this resource to create and manage a repository push mirror.
---

# forgejo_repository_push_mirror (Resource)

Use this resource to create and manage a repository push mirror.

## Example Usage

```terraform
resource "forgejo_repository_push_mirror" "main" {
  owner           = "adyxax"
  remote_address  = "https://github.com/adyxax/tfstated"
  remote_password = "secret"
  remote_username = "adyxax"
  repository      = "example"
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `owner` (String) The owner of the repository on which to configure a push mirror.
- `remote_address` (String) The push mirror's remote address.
- `repository` (String) The repository on which to configure a push mirror.

### Optional

- `interval` (String) The push mirror's sync interval as a string. Defaults to `8h0m0s`.
- `remote_password` (String, Sensitive) The push mirror's remote password.
- `remote_username` (String) The push mirror's remote username.
- `sync_on_commit` (Boolean) Whether the push mirror is synced on each commit pushed to the repository, defaults to `true`.
- `use_ssh` (Boolean) Whether the push mirror is synced over SSH or not (not meaning HTTP), defaults to `false`.

### Read-Only

- `created` (String) The push mirror's creation date and time.
- `name` (String) The name of the push mirror.
